package com.diagbot.dto;

import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: gaodm
 * @time: 2020/4/15 12:24
 */
@Getter
@Setter
public class AnalyzeRunDTO {
    //得分
    private BigDecimal scoreRes;
    //等级
    private String level;
    // 缺陷条目
    Map<String, List<MsgDTO>> msgMap = new LinkedHashMap<>();
    // 选中的模块名称
    private String selectMode;
}
